#include "CLogicException.hpp"

CLogicException::CLogicException(void) noexcept :
    CException("A logic error occurred", LOGIC_EXC_CODE) {
}

CLogicException::CLogicException(std::string message) noexcept :
    CException(message, LOGIC_EXC_CODE){
}
